package com.inspect.metadata.version.domain;

import com.inspect.base.core.annotation.Excel;
import com.inspect.base.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class VersionManagement extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private Long versionId;
    @Excel(
            name = "版本名称"
    )
    private String versionName;
    @Excel(
            name = "系统id"
    )
    private String systemId;
    @Excel(
            name = "系统编码"
    )
    private String systemCode;
    @Excel(
            name = "系统名称"
    )
    private String systemName;
    @Excel(
            name = "系统类型，xsxt:巡视系统；znfx:智能分析系统；"
    )
    private String systemType;
    @Excel(
            name = "说明文档地址"
    )
    private String filePath;
    private String delFlag;
    private String reserve1;
    private String reserve2;
    private String reserve3;

    public void setVersionId(Long versionId) {
        this.versionId = versionId;
    }

    public Long getVersionId() {
        return this.versionId;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getVersionName() {
        return this.versionName;
    }

    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }

    public String getSystemId() {
        return this.systemId;
    }

    public void setSystemCode(String systemCode) {
        this.systemCode = systemCode;
    }

    public String getSystemCode() {
        return this.systemCode;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public String getSystemName() {
        return this.systemName;
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public String getSystemType() {
        return this.systemType;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFilePath() {
        return this.filePath;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setReserve1(String reserve1) {
        this.reserve1 = reserve1;
    }

    public String getReserve1() {
        return this.reserve1;
    }

    public void setReserve2(String reserve2) {
        this.reserve2 = reserve2;
    }

    public String getReserve2() {
        return this.reserve2;
    }

    public void setReserve3(String reserve3) {
        this.reserve3 = reserve3;
    }

    public String getReserve3() {
        return this.reserve3;
    }

    public String toString() {
        return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("versionId", this.getVersionId()).append("versionName", this.getVersionName()).append("remark", this.getRemark()).append("systemId", this.getSystemId()).append("systemCode", this.getSystemCode()).append("systemName", this.getSystemName()).append("systemType", this.getSystemType()).append("filePath", this.getFilePath()).append("delFlag", this.getDelFlag()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).append("reserve1", this.getReserve1()).append("reserve2", this.getReserve2()).append("reserve3", this.getReserve3()).toString();
    }
}
